{
  "imgBasePath": "",
  "serverUrl": "",
  "suffix": "wf",
  "eventlstUrl":"",
  "loadSubFlag": 1,
  "waterOpacity": 0.04,
  "subOpacity": [
    0.65,
    0.5
  ],
  "screenScale": 1,
  "resizeWidth": false,
  "resizeHeight": false,
  "part": {
    "image": {
      "width": 30,
      "height": 30
    },
    "defaultType": {
      "Start": "0",
      "Node": "10",
      "Event": "81",
      "Gateway": "72",
      "Robot": "41",
      "Virtual": "900",
      "Cluster": "210",
      "Subflow": "60",
      "End": "100"
    }
  },
  "fileMenuPos": [
    12,
    -6
  ],
  "nodemove": 0,
  "nodeNameWidth": 50,
  "nodetype": {
    "Node_Start": {
      "id": "Node_Start",
      "data": 0,
      "label": "人工开始",
      "title": "由用户手动发起流程",
      "className": "com.horizon.wf.expand.node.NodeStartImpl"
    },
    "Node_Timer_Start": {
      "id": "Node_Timer_Start",
      "data": 1,
      "label": "定时开始",
      "title": "由定时任务在后台发起",
      "className": "com.horizon.wf.expand.node.NodeStartImpl"
    },
    "Node_Signal_Start": {
      "id": "Node_Signal_Start",
      "data": 2,
      "label": "信号开始",
      "title": "当前捕获到指定信号时由后台发起",
      "className": "com.horizon.wf.expand.node.NodeStartImpl"
    },
    "Node_Msg_Start": {
      "id": "Node_Msg_Start",
      "data": 3,
      "label": "消息开始",
      "title": "当接收到指定消息时由后台发起",
      "className": "com.horizon.wf.expand.node.NodeStartImpl"
    },
    "Node_Single": {
      "id": "Node_Single",
      "data": 10,
      "label": "单人节点",
      "title": "办理人只能指定一个",
      "className": "com.horizon.wf.expand.node.NodeSingleImpl"
    },
    "Node_Multi_Single": {
      "id": "Node_Multi_Single",
      "data": 11,
      "label": "多人单一",
      "title": "办理人可以指定多个,但只允许一个人办理",
      "className": "com.horizon.wf.expand.node.NodeMultiSingleImpl"
    },
    "Node_Multi": {
      "id": "Node_Multi",
      "data": 20,
      "label": "多人并行",
      "title": "办理人可以指定多个,按照下面的规则进行办理",
      "className": "com.horizon.wf.expand.node.NodeMultiImpl"
    },
    "Node_Order": {
      "id": "Node_Order",
      "data": 25,
      "label": "多人顺序",
      "title": "办理人可以指定多个,按照顺序逐个进行办理",
      "className": "com.horizon.wf.expand.node.NodeOrderImpl"
    },
    "Node_Merger": {
      "id": "Node_Merger",
      "data": 30,
      "label": "人工合并",
      "title": "只能有一个办理人",
      "className": "com.horizon.wf.expand.node.NodeMergerImpl"
    },
    "Node_Progressively": {
      "id": "Node_Progressively",
      "data": 50,
      "label": "内部循环",
      "title": "在节点内部继续流转(逐级审批)",
      "className": "com.horizon.wf.expand.node.NodeProgressivelyImpl"
    },
    "Node_Auto_Program": {
      "id": "Node_Auto_Program",
      "data": 41,
      "label": "自动程序",
      "title": "由定时任务触发",
      "className": "com.horizon.wf.expand.node.NodeAutoImpl"
    },
    "Node_Sub": {
      "id": "Node_Sub",
      "data": 60,
      "label": "子流程",
      "title": "自动创建配置的子流程实例",
      "className": "com.horizon.wf.expand.node.NodeSubFlowImpl"
    },
    "Node_GateWay_Split": {
      "id": "Node_GateWay_Split",
      "data": 71,
      "label": "分支网关",
      "title": "分支",
      "className": "com.horizon.wf.expand.node.NodeConditionImpl"
    },
    "Node_GateWay_Merge": {
      "id": "Node_GateWay_Merge",
      "data": 72,
      "label": "合并网关",
      "title": "无人参与",
      "className": "com.horizon.wf.expand.node.GateWayMergeImpl"
    },
    "Node_Event_Intermediate": {
      "id": "Node_Event_Intermediate",
      "data": 81,
      "label": "中间事件",
      "title": "由定时任务触发,立即执行",
      "className": "com.horizon.wf.expand.node.NodeAutoImpl"
    },
    "Node_Event_Timer": {
      "id": "Node_Event_Timer",
      "data": 82,
      "label": "定时事件",
      "title": "由定时任务触发,按设置时间",
      "className": "com.horizon.wf.expand.node.NodeAutoImpl"
    },
    "Node_Event_Message": {
      "id": "Node_Event_Message",
      "data": 83,
      "label": "消息事件",
      "title": "由定时任务触发,接收到指定消息后",
      "className": "com.horizon.wf.expand.node.NodeAutoImpl"
    },
    "Node_Event_Signal_Throw": {
      "id": "Node_Event_Signal_Throw",
      "data": 84,
      "label": "信号抛出",
      "title": "由定时任务触发,按设置抛出信息后",
      "className": "com.horizon.wf.expand.node.NodeAutoImpl"
    },
    "Node_Event_Signal_Catch": {
      "id": "Node_Event_Signal_Catch",
      "data": 85,
      "label": "信号捕获",
      "title": "由定时任务触发,当前捕获到指定信息后",
      "className": "com.horizon.wf.expand.node.NodeAutoImpl"
    },
    "Node_End": {
      "id": "Node_End",
      "data": 100,
      "label": "分支结束",
      "title": "当前分支结束(如果只有一个分支,则实例流转结束)",
      "className": "com.horizon.wf.expand.node.NodeEndImpl"
    },
    "Node_End_Instance": {
      "id": "Node_End_Instance",
      "data": 101,
      "label": "实例结束",
      "title": "如果有其他分支,则取消其他分支,实例流转结束",
      "className": "com.horizon.wf.expand.node.NodeEndImpl"
    },
    "Node_Mutual": {
      "id": "Node_Mutual",
      "data": 210,
      "label": "引擎交互",
      "title": "多引擎协作流转时,用来转换引擎服务器",
      "className": ""
    },
    "Node_Virtual": {
      "id": "Node_Virtual",
      "data": 900,
      "label": "虚拟节点",
      "className": ""
    }
  },
  "flownode": {
    "image": {
      "width": 50,
      "height": 50,
      "defurl": "/img/define/node_",
      "doneurl": "/img/done/node_",
      "jumpurl": "/img/jump/node_",
      "waringurl": "/img/extended/node_",
      "nowurl": "/img/now/node_",
      "deleteurl": "/img/delete.png"
    },
    "color": {
      "extended": "#DF3031",
      "jump": "#1F76C8",
      "done": "#529208",
      "now": "#FF8600",
      "define": "#868686"
    },
    "colorTip": {
      "extended": "超期节点",
      "jump": "跳过节点",
      "done": "已办理节点",
      "now": "活动节点",
      "define": "未办理节点"
    }
  },
  "iconPosition": {
    "isH": true,
    "x": "left",
    "xpos": 0,
    "y": "bottom",
    "ypos": 0,
    "ymin": 460,
    "opacity": 0.6
  },
  "limitTypes": [
    {
      "label": "自然日",
      "data": "1"
    },
    {
      "label": "工作日",
      "data": "0"
    }
  ],
  "varTypes": [
    {
      "label": "字符",
      "data": "1"
    },
    {
      "label": "数字",
      "data": "2"
    },
    {
      "label": "布尔值",
      "data": "3"
    },
    {
      "label": "日期",
      "data": "4"
    },
    {
      "label": "日期时间",
      "data": "5"
    },
    {
      "label": "组织机构",
      "data": "6"
    },
    {
      "label": "其他",
      "data": "10"
    }
  ],
  "orgTypes": {
    "person": "用户",
    "dept": "部门",
    "depts": "部门(不含)",
    "group": "群组",
    "position": "岗位"
  },
  "deptTypes": {
    "D": "含子部门",
    "S": "不含子部门",
    "DJ": "接口人",
    "DF": "负责人",
    "DL": "分管领导"
  },
  "control": {
    "OuterSelect": {
      "label": "由外部设置办理人"
    },
    "ManualSelect": {
      "label": "需要从设置列表中选择办理人"
    },
    "FreeSelect": {
      "label": "办理人为空时，允许选择",
      "title": "选择时的范围，可以自定义。\n都不选时表示允许所有等同全选",
      "select": true,
      "area": [
        {
          "label": "部门",
          "data": "D"
        },
        {
          "label": "群组",
          "data": "G"
        },
        {
          "label": "岗位",
          "data": "P"
        }
      ]
    },
    "AutoPass": {
      "label": "办理人为空时，跳过此节点",
      "title": "开始节点提交到此节点时，此设置无效\n（创建新实例时，第一个节点不允许跳过）"
    },
    "PassCurUser": {
      "label": "办理人包含当前人时，跳过此人"
    },
    "PassNodeUser": {
      "label": "跳过指定节点办理人",
      "passNode": true
    },
    "AgentFlag": {
      "label": "代办设置生效"
    },
    "OnlySelectUser": {
      "label": "仅允许选择人员"
    },
    "Author": [
      "OuterSelect",
      "ManualSelect",
      "FreeSelect",
      "AutoPass",
      "PassCurUser",
      "PassNodeUser",
      "AgentFlag",
      "OnlySelectUser"
    ],
    "SecondAuthor": [
      "ManualSelect",
      "FreeSelect",
      "OnlySelectUser"
    ],
    "Reader": [
      "OuterSelect",
      "ManualSelect",
      "FreeSelect",
      "OnlySelectUser"
    ]
  },
  "exceptions": {
    "WFE_0001": "实例创建事件异常",
    "WFE_0010": "节点超期",
    "WFE_0020": "事件接口执行失败",
    "WFE_0030": "事件节点自动提交失败",
    "WFE_0040": "网关接口执行失败",
    "WFE_0060": "节点进入事件执行失败",
    "WFE_0070": "节点离开事件执行失败",
    "WFE_0080": "当前节点实例打开事件执行失败",
    "WFE_0090": "节点操作完成事件执行失败",
    "WFE_0120": "节点进入规则运算异常",
    "WFE_0140": "节点自动激活执行失败",
    "WFE_0160": "节点结束规则运算异常",
    "WFE_0200": "自动节点程序执行异常",
    "WFE_0210": "自动节点业务规则执行异常",
    "WFE_0220": "自动节点服务执行异常",
    "WFE_0230": "全局超期"
  },
  "dealType": [
    {
      "label": "忽略",
      "data": "1"
    },
    {
      "label": "跳转",
      "data": "2"
    },
    {
      "label": "挂起",
      "data": "3"
    },
    {
      "label": "终止",
      "data": "4"
    },
    {
      "label": "自定义",
      "data": "0"
    }
  ],
  "sendMsg": {
    "Read": "待阅",
    "Mail": "邮件",
    "Msg": "系统消息",
    "SMS": "短信",
    "IM": "即时消息"
  },
  "defSendMsg": "SMS",
  "eventType": {
    "flowopen": "打开节点时执行",
    "flowin": "进入节点执行",
    "flowout": "离开节点执行",
    "flowsave": "操作完成前执行",
    "flowover": "操作完成后执行"
  },

  "defOperator": {
    "Author": [
      "submit",
      "startflow",
      "save"
    ],
    "SecondAuthor": [
      "secondSubmit",
      "save"
    ],
    "Reader": [
      "addreader",
      "readed"
    ],
    "Done": [
      "getback"
    ],
    "Creator": [
      "urge",
      "startflow"
    ],
    "Manager": [
      "replace",
      "stop",
      "pause",
      "goto",
      "reduceAuthor"
    ]
  },
  "subflow": "subflow",
  "operators": {
    "Author": [
      "startflow",
      "submit",
      "save",
      "addSecondauthor",
      "innerSubmit",
      "freesubmit",
      "reject",
      "jumpreject",
      "jumprejectstart",
      "innerreject",
      "rejectSubmit",
      "addreader",
      "huiqian",
      "huiqianSubmit",
      "jiaqian",
      "jiaqianBefore",
      "reduceAuthor",
      "goto",
      "stop",
      "pause",
      "move",
      "subflow"
    ],
    "SecondAuthor": [
      "secondSubmit",
      "addSecondauthor",
      "save"
    ],
    "Reader": [
      "addreader",
      "readed"
    ],
    "Done": [
      "getback",
      "reduceAuthor",
      "reissue",
      "reissuerouter"
    ],
    "Creator": [
      "urge",
      "cancel",
      "startflow"
    ],
    "Manager": [
      "replace",
      "stop",
      "pause",
      "goto",
      "reduceAuthor"
    ],
    "startflow": {
      "name": "启动流程",
      "id": "startflow",
      "implClass": "com.horizon.wf.action.ActionSubmitFirst",
      "node": "start",
      "reName": "启动流程",
      "memo": "启动流程"
    },
    "submit": {
      "name": "提交",
      "id": "submit",
      "implClass": "com.horizon.wf.action.ActionSubmit",
      "node": "task",
      "reName": "提交",
      "memo": "正常状态下的提交"
    },
    "gatherNext": {
      "name": "下一步", ",id": "gatherNext",
      "implClass": "com.horizon.wf.action.ActionGatherNext",
      "node": "task",
      "reName": "下一步",
      "memo": "前置操作"
    },
    "gatherReject": {
      "name": "上一步", ",id": "gatherReject",
      "implClass": "com.horizon.wf.action.ActionGatherReject",
      "node": "task",
      "reName": "上一步",
      "memo": "前置操作"
    },
    "secondSubmit": {
      "name": "协办提交",
      "id": "secondSubmit",
      "implClass": "com.horizon.wf.action.ActionSubmitNotLeave",
      "node": "task",
      "reName": "协办提交",
      "memo": "协办状态下的提交"
    },
    "innerSubmit": {
      "name": "内部提交",
      "id": "innerSubmit",
      "implClass": "com.horizon.wf.action.ActionSubmitForProgressively",
      "node": "task~(50)",
      "reName": "内部提交",
      "memo": "不离开节点内部循环时提交"
    },
    "freesubmit": {
      "name": "自由提交",
      "id": "freesubmit",
      "implClass": "com.horizon.wf.action.ActionSubmitForFree",
      "node": "task~[30]",
      "reName": "自由提交",
      "memo": "在没有定义下一节点的情况下执行提交,系统自动创建一个节点"
    },
    "huiqianSubmit": {
      "name": "会签提交",
      "id": "huiqianSubmit",
      "implClass": "com.horizon.wf.action.ActionSubmitHuiqian",
      "node": "task~[30][50]",
      "reName": "会签提交",
      "memo": "会签状态下的提交"
    },
    "rejectSubmit": {
      "name": "退回提交",
      "id": "rejectSubmit",
      "implClass": "com.horizon.wf.action.ActionSubmitForReject",
      "node": "task",
      "reName": "退回提交",
      "memo": "退回状态下的提交"
    },
    "huiqian": {
      "name": "会签",
      "id": "huiqian",
      "implClass": "com.horizon.wf.action.ActionHuiQian",
      "node": "task~[30][50]",
      "reName": "发起会签",
      "memo": "发起会签"
    },
    "jiaqianBefore": {
      "name": "前加签",
      "id": "jiaqianBefore",
      "implClass": "com.horizon.wf.action.ActionJiaQianBefore",
      "node": "task~(25)",
      "reName": "前加签",
      "memo": "前加签"
    },
    "reduceAuthor": {
      "name": "减签",
      "id": "reduceAuthor",
      "implClass": "com.horizon.wf.action.ActionReduceAuthor",
      "node": "task~(20)(25)",
      "reName": "减签",
      "memo": "减少办理人"
    },
    "jiaqian": {
      "name": "加签",
      "id": "jiaqian",
      "implClass": "com.horizon.wf.action.ActionJiaQian",
      "node": "task~(20)(25)",
      "reName": "加签",
      "memo": "添加办理人"
    },
    "reject": {
      "name": "退回",
      "id": "reject",
      "implClass": "com.horizon.wf.action.ActionReject",
      "node": "task",
      "reName": "退回",
      "memo": "退回到之前的办理节点"
    },
    "jumprejectstart": {
      "name": "退回发起人",
      "id": "jumprejectstart",
      "implClass": "com.horizon.wf.action.ActionRejectByJump",
      "node": "task",
      "reName": "退回发起人",
      "memo": "退回到发起人节点"
    },
    "jumpreject": {
      "name": "任意退回",
      "id": "jumpreject",
      "implClass": "com.horizon.wf.action.ActionRejectByJump",
      "node": "task",
      "reName": "任意退回",
      "memo": "任意退回到之前的办理节点"
    },
    "innerreject": {
      "name": "内部退回",
      "id": "innerreject",
      "implClass": "com.horizon.wf.action.ActionRejectForInner",
      "node": "task~(25)(50)",
      "reName": "内部退回",
      "memo": "节点内部退回"
    },
    "reissue": {
      "name": "补发",
      "id": "reissue",
      "implClass": "com.horizon.wf.action.ActionReissue",
      "node": "task~(20)(25)",
      "reName": "补发",
      "memo": "办理人补发"
    },
    "reissuerouter": {
      "name": "分支补发",
      "id": "reissuerouter",
      "implClass": "com.horizon.wf.action.ActionReissueRouter",
      "node": "task~[30]",
      "reName": "分支补发",
      "memo": "分支补发"
    },
    "getback": {
      "name": "拿回",
      "id": "getback",
      "implClass": "com.horizon.wf.action.ActionGetBack",
      "node": "task",
      "reName": "拿回",
      "memo": "从当前办理节点拿回"
    },
    "save": {
      "name": "暂存",
      "id": "save",
      "implClass": "com.horizon.wf.action.ActionSave",
      "node": "task",
      "reName": "暂存",
      "memo": "保存表单数据"
    },
    "goto": {
      "name": "跳转",
      "id": "goto",
      "implClass": "com.horizon.wf.action.ActionGoto",
      "node": "task,end,subflow",
      "reName": "跳转",
      "memo": "跳转到其他办理节点"
    },
    "move": {
      "name": "转办",
      "id": "move",
      "implClass": "com.horizon.wf.action.ActionMove",
      "node": "task",
      "reName": "转办",
      "memo": "送其他人办理"
    },
    "cancel": {
      "name": "撤办",
      "id": "cancel",
      "implClass": "com.horizon.wf.action.ActionCancel",
      "node": "task;event;robot;gateway;cluster",
      "reName": "撤办",
      "memo": "撤销办理"
    },
    "pause": {
      "name": "暂停",
      "id": "pause",
      "implClass": "com.horizon.wf.action.ActionPause",
      "node": "task;event;robot;gateway;cluster",
      "reName": "暂停",
      "memo": "流程暂停流转"
    },
    "replace": {
      "name": "替换处理人",
      "id": "replace",
      "implClass": "com.horizon.wf.action.ActionReplaceAuthor",
      "node": "task",
      "reName": "替换处理人",
      "memo": "替换当前节点的办理人"
    },
    "stop": {
      "name": "终止",
      "id": "stop",
      "implClass": "com.horizon.wf.action.ActionStop",
      "node": "task;event;robot;gateway;cluster",
      "reName": "终止",
      "memo": "流程终止"
    },
    "addSecondauthor": {
      "name": "增加协办",
      "id": "addSecondauthor",
      "implClass": "com.horizon.wf.action.ActionAddSecondAuthor",
      "node": "task",
      "reName": "增加协办",
      "memo": "主办需要指定协办时的操作"
    },
    "addreader": {
      "name": "阅知",
      "id": "addreader",
      "implClass": "com.horizon.wf.action.ActionAddReader",
      "node": "task;event;gateway;robot;end;cluster;subflow",
      "reName": "发送阅知",
      "memo": "发送阅知"
    },
    "readed": {
      "name": "已阅",
      "id": "readed",
      "implClass": "com.horizon.wf.action.ActionReaded",
      "node": "task;event;robot;end;gateway;cluster;subflow",
      "reName": "已阅",
      "memo": "标识待阅文件已阅"
    },
    "urge": {
      "name": "催办",
      "id": "urge",
      "implClass": "com.horizon.wf.action.ActionReMsg",
      "node": "task",
      "reName": "催办",
      "memo": "发起催办"
    },
    "subflow": {
      "name": "启动子流程",
      "id": "subflow",
      "implClass": "com.horizon.wf.action.ActionStartMultiSubFlow",
      "node": "task",
      "reName": "启动子流程",
      "memo": "发起一个子流程实例"
    }
  },
  "participantsName": {
    "Author": "主办",
    "SecondAuthor": "协办",
    "Reader": "读者",
    "Done": "已办",
    "Creator": "创建者",
    "Manager": "管理员"
  },
  "sendUser": [
    {
      "label": "流程启动者",
      "data": "1"
    },
    {
      "label": "流程管理员",
      "data": "2"
    }
  ],
  "relations": [
    {
      "data": "1",
      "label": "同部门人员"
    },
    {
      "data": "2",
      "label": "直接部门领导"
    },
    {
      "data": "3",
      "label": "所有上级领导"
    },
    {
      "data": "4",
      "label": "直接下属"
    },
    {
      "data": "5",
      "label": "所有下属"
    },
    {
      "data": "6",
      "label": "上级主管领导"
    },
    {
      "data": "9",
      "label": "上一级部门所有人员(含子部门)"
    },
    {
      "data": "16",
      "label": "上一级部门所有人员(不含子部门)"
    },
    {
      "data": "15",
      "label": "部门接口人"
    },
    {
      "data": "17",
      "label": "上级岗位"
    },
    {
      "data": "18",
      "label": "上级岗位人员"
    },
    {
      "data": "19",
      "label": "下级岗位"
    },
    {
      "data": "20",
      "label": "下级岗位人员"
    },
    {
      "data": "99",
      "label": "返回基准人"
    }
  ],
  "operatorListCon": [
    {
      "label": "包含",
      "data": "in"
    },
    {
      "label": "不包含",
      "data": "noIn"
    }
  ],
  "operatorListStr": [
    {
      "label": "等于",
      "data": "=="
    },
    {
      "label": "不等于",
      "data": "!="
    }
  ],
  "operatorListNum": [
    {
      "label": "大于",
      "data": ">"
    },
    {
      "label": "大于等于",
      "data": ">="
    },
    {
      "label": "小于",
      "data": "<"
    },
    {
      "label": "小于等于",
      "data": "<="
    },
    {
      "label": "等于",
      "data": "=="
    },
    {
      "label": "不等于",
      "data": "!="
    }
  ],
  "relationNodeOption": {
    "d_0": "无",
    "d_1": "上一节点",
    "d_2": "指定节点"
  },
  "relationBaseOption": {
    "d_0": "无",
    "d_1": "办理人",
    "d_2": "流程启动者",
    "d_3": "当前执行人"
  },
  "relationOption": {
    "d_Creator": "流程启动者",
    "d_PreDone": "上一节点办理",
    "d_CurUser": "当前执行人"
  },
  "ruleEditorPage": "/hz7sp2/workflow/module/rule/rule.editor.index.html",
  "testFlowPage": "/hz7sp2/workflow/module/workflow/index.html"
}
